# R for travis: see documentation at https://docs.travis-ci.com/user/languages/r

language: R
r:
  - release
  - bioc-devel
#  - bioc-release
sudo: false
cache: packages

dist: xenial
addons:
  apt:
    packages:
      - libgsl-dev # dependency for gsl>copula>zinbwave

install: skip
before_install:
  r_packages:
    - knitr
#install:
#  - R -e 'install.packages("devtools")'
#  - R -e 'devtools::install(dependencies = TRUE, upgrade_dependencies = TRUE)'

after_success:
  - Rscript -e 'covr::codecov()'

notifications:
  email:
    recipients:
      - cazodi@svi.edu.au
    on_success: never
    on_failure: never
